From 53d041d9686a5ba80e20a782c0b764c26d96671d Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Sun, 3 Feb 2019 09:33:00 -0500
Subject: [PATCH] Pin the navigation bar to the top of the page.

From user feedback, the scrolling navigation bar would cause problems with
readability, especially in larger font views. This keeps the navigation bar
pinned to the top, until we can find a way to more easily handle this.
---
 media/css/main.css       | 16 +---------------
 media/js/main.js         |  6 ------
 templates/base/base.html |  2 +-
 3 files changed, 2 insertions(+), 22 deletions(-)

diff --git a/media/css/main.css b/media/css/main.css
index fa506028..6c93c8b7 100644
--- a/media/css/main.css
+++ b/media/css/main.css
@@ -469,6 +469,7 @@ ul.bold {
     background-color: #336791;
     font-weight: 600;
     padding-bottom: 0.2rem;
+    padding-top: 0.2rem;
 }
 
 .pg-shout-box a {
@@ -1306,16 +1307,6 @@ table.sponsor-table tbody tr td:nth-child(3) {
     }
 }
 
-@media (min-width: 992px) {
-    .navbar.compressed {
-      padding: 0 10px;
-    }
-
-    .pg-shout-box {
-      padding-top: 3.7rem;
-    }
-}
-
 @media (max-width: 992px) {
     .archive {
         margin-top: 2rem;
@@ -1330,11 +1321,6 @@ table.sponsor-table tbody tr td:nth-child(3) {
       height: 1.5rem;
     }
 
-    .pg-shout-box {
-      padding-top: 2.8rem;
-      margin-bottom: 1rem;
-    }
-
     #docContent table.table {
         font-size: 70%;
     }
diff --git a/media/js/main.js b/media/js/main.js
index 30b7bf79..0b37fee8 100644
--- a/media/js/main.js
+++ b/media/js/main.js
@@ -1,9 +1,3 @@
-$(document).ready(function() {
-  $(window).on("scroll", function() {
-    $(".navbar").toggleClass("compressed", $(window).scrollTop() >= 20);
-  });
-});
-
 /*
  * Initialize google analytics
  */
diff --git a/templates/base/base.html b/templates/base/base.html
index a1d3f72a..00a81300 100644
--- a/templates/base/base.html
+++ b/templates/base/base.html
@@ -26,7 +26,7 @@
       <div class="row justify-content-md-center">
         <div class="col">
           <!-- Header -->
-          <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
+          <nav class="navbar navbar-expand-lg navbar-light bg-light">
             <a class="navbar-brand p-0" href="/">
               <img class="logo" src="/media/img/about/press/elephant.png" alt="PostgreSQL Elephant Logo">
             </a>
-- 
2.14.3 (Apple Git-98)

